<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>



<html>
<head>
	<style type="text/css">@import url(css/estils.css);</style>
	<title>ComptaXM </title>
</head>
<body>
	<div id="carta1">
		<s:if test="usuari.tipusUsuari==usuari.administrador">
			<s:url id="url1" action="ObtenirPeriodesComptablesAdm">																										
			</s:url>				
		</s:if>
		<s:elseif test="usuari.tipusUsuari==usuari.capPlanta">
			<s:url id="url1" action="ObtenirPeriodesComptablesCap">																										
			</s:url>					
		</s:elseif>
		<s:a href="%{url1}"><s:property value="%{getText('periode.actius.tracert')}"/></s:a> >
		
		<s:url id="url2" action="ObtenirPeriodeComptableActual">
			<s:param name="idPeriodeActual"><s:property value="comandaActual.periodeComptable.idPeriodeComptable"/></s:param>							
		</s:url>
		<s:a href="%{url2}"><s:property value="%{getText('compte.periodecomptable.tracert')}"/>
			<s:property value="comandaActual.periodeComptable.mesString"/>-<s:property value="comandaActual.periodeComptable.anyo"/>
			<s:property value="%{getText('compte.periodecomptable.tracert.de')}"/>
			<s:property value="comandaActual.periodeComptable.centre.nom"/>		
		</s:a> >
		<s:if test="tipusOperacio==1">
			<s:url id="url3" action="PresentarComandesCompte">
				<s:param name="idCompteActual"><s:property value="idCompteActual"/></s:param>							
			</s:url>
			<s:a href="%{url3}"><s:property value="%{getText('compte.periodecomptable.tracert')}"/>
				<s:property value="comandaActual.periodeComptable.mesString"/>-<s:property value="comandaActual.periodeComptable.anyo"/>
				<s:property value="%{getText('compte.periodecomptable.tracert.de')}"/>
				<s:property value="comandaActual.periodeComptable.centre.nom"/>
				<s:property value="%{getText('compte.etiqueta')}"/>:						
				<s:property value="idCompteActual"/>		
			</s:a> > 
		</s:if>
	</div>
	
	<div id="carta">
		<s:if test="tipusOperacio==0">
			<h3><s:property value="%{getText('rebut.comanda.nou.titol')}"/></h3>
		</s:if>
		<s:else>
			<h3><s:property value="%{getText('rebut.comanda.modificar.titol')}"/></h3>
		</s:else>
	
	</div>
	<div id="carta">
	<p>
		<s:property value="%{getText('periode.etiqueta')}"/>: <s:property value="comandaActual.periodeComptable.mesString"/>-<s:property value="comandaActual.periodeComptable.anyo"/><br> 
		<s:property value="%{getText('centre.etiqueta')}"/>: <s:property value="comandaActual.periodeComptable.centre.nom"/><br> 				
		<s:property value="%{getText('rebut.tipus.etiqueta')}"/>: <s:property value="%{getText('rebut.comanda.etiqueta')}"/>
	</p>
	
	</div>
	<s:if test="errorsComptaXM.size()>0">
			<div id="missatge_error">							
				<s:iterator value="errorsComptaXM">
					<ul><s:property /></ul>				
				</s:iterator>				
			</div>	
	</s:if>
	
	<s:if test="actionMessages.size()>0">
		
		<div id="missatge_informacio">					
			<ul><s:actionmessage/></ul>				
		</div>
		
	</s:if> 
	
	<div id="carta">
	
		
		
		
		<s:form method="post" action="AfegirComanda">		
		<table>
		
		<tr><td >
			<s:hidden name="tipusOperacio" value="%{tipusOperacio}"/>	
			<s:hidden name= "idComandaActual" value="%{comandaActual.idRebut}" />
				
			<s:select name="comandaActual.dia" 
							id="comandaActual.dia"  
							list="dies"
							key="rebut.dia.etiqueta" 
							headerKey="-1" 							
							headerValue="-"
							value="comandaActual.dia"
							cssClass="input" 												
							/>
		</td></tr>	
		<tr><td >					
			<s:select name="idCompteActual" 
							id="idCompteActual"  
							list="comptes"
							listKey="idCompte"							
							key="compte.etiqueta" 
							headerKey="-1" 
							headerValue="-"
							value="idCompteActual"
							cssClass="input" 												
							/>
		</td></tr>
		
		<tr><td >	
			<s:select name="idProveidorActual" 
							id="idProveidorActual" 
							list="proveidors" 
							listKey="idProveidor" 
							listValue="nom" 
							key="proveidor.etiqueta"
							headerKey="-1" 
							headerValue="-"
							value="idProveidorActual"
							cssClass="input" 							
							/>			
		</td></tr>	
		<tr><td >				
			<s:textfield name="descripcioActual" id="comandaActual.descripcio" key="rebut.descripcio.etiqueta" value="%{comandaActual.descripcio}" size= "60" cssClass="input" />
		</td></tr>	
		<tr><td >
			<s:textfield name="valorActual" id="valorActual" key="rebut.import.etiqueta" size="10" value="%{comandaActual.valor}" cssClass="input" />
									
		</td></tr>	
		<tr><td align="right" >	
			<s:if test="tipusOperacio==0">
				<s:submit  value="%{getText('rebut.anotar.comanda.etiqueta')}"/>					
			</s:if>
			<s:else>
				<s:submit  value="%{getText('rebut.modificar.comanda.etiqueta')}"/>
			</s:else>
			</td>			
			</tr>
			</table>
			</s:form>
		</div>
			
</body>
</html>
