<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>



<html>
<head>
	<style type="text/css">@import url(css/estils.css);</style>
	<title>ComptaXM </title>
</head>
<body>
	
	<div id="carta1">
		<s:if test="usuari.tipusUsuari==usuari.administrador">
			<s:url id="url1" action="ObtenirPeriodesComptablesAdm">																										
			</s:url>				
		</s:if>
		<s:elseif test="usuari.tipusUsuari==usuari.capPlanta">
			<s:url id="url1" action="ObtenirPeriodesComptablesCap">																										
			</s:url>					
		</s:elseif>
		<s:a href="%{url1}"><s:property value="%{getText('periode.actius.tracert')}"/></s:a> > 
		
		<s:url id="url2" action="ObtenirPeriodeComptableActual">
			<s:param name="idPeriodeActual"><s:property value="previsioActual.periodeComptable.idPeriodeComptable"/></s:param>							
		</s:url>
		<s:a href="%{url2}"><s:property value="%{getText('compte.periodecomptable.tracert')}"/>
			<s:property value="previsioActual.periodeComptable.mesString"/>-<s:property value="previsioActual.periodeComptable.anyo"/>
			<s:property value="%{getText('compte.periodecomptable.tracert.de')}"/>
			<s:property value="previsioActual.periodeComptable.centre.nom"/>		
		</s:a> >
		
		
	</div> 
	
	
	

		<table id="taula_info">
			<tr>
				<td><b><s:property value="%{getText('periode.etiqueta')}"/>:</b> <br><i> <s:property value="previsioActual.periodeComptable.mesString"/>-<s:property value="previsioActual.periodeComptable.anyo"/></i></td> 
				<td ><b><s:property value="%{getText('centre.etiqueta')}"/>:</b><br><i> <s:property value="previsioActual.periodeComptable.centre.nom"/></i></td>
				<td><b><s:property value="%{getText('compte.etiqueta')}"/>:</b><br><i> <s:property value="previsioActual.compte.codi"/> - <s:property value="previsioActual.compte.descripcio"/></i></td>
				<td><b><s:property value="%{getText('label.total')}"/>:</b><br><i>  <s:property value="totalPrevisionsCompte"/> <s:property value="%{getText('label.moneda')}"/></i></td>
			
			</tr>		
		</table>
			

	
	<s:if test="errorsComptaXM.size()>0">
			<div id="missatge_error">							
				<s:iterator value="errorsComptaXM">
					<ul><s:property /></ul>				
				</s:iterator>				
			</div>	
	</s:if>
	<s:if test="actionMessages.size()>0">
		
		<div id="missatge_informacio">					
			<ul><s:actionmessage/></ul>				
		</div>
		
	</s:if> 		
	
	<table id="taula" >		
		
		<tr>				
			
			<th ><b><s:property value="%{getText('rebut.descripcio.etiqueta')}"/></b></th>
			<th><b><s:property value="%{getText('rebut.import.etiqueta')}"/></b></th>
			<th colspan="2">
			</th>
			</tr>
		<s:if test="%{previsionsComptePeriode.size()>0}">
		<s:iterator value="previsionsComptePeriode" status="linea"> 
				<s:if test="#linea.odd"><tr class="linea1"></s:if>
				<s:if test="#linea.even"><tr class="linea2"></s:if>
					
			    				    				  
			    	<td><s:property value="descripcio"/></td>		    			    			    	
			    	<td><s:property value="valor"/> <s:property value="%{getText('label.moneda')}"/></td>
			    	<td>			    				    	
						<s:url id="url1" action="ObrirAfegirPrevisioCompte">
							<s:param name="idPrevisioActual" value="%{idRebut}"/>
							<s:param name="idCompteActual" value="%{compte.idCompte}"/>							
							<s:param name="tipusOperacio" value="1"/>
						</s:url>											    
			    	<s:a href="%{url1}"><s:property value="%{getText('form.modificar')}"/></s:a>			    
			    	</td>
			    	<td>			    				    	
						<s:url id="url2" action="EliminarPrevisioCompte">	
							<s:param name="idPrevisioActual" value="%{idRebut}"  />							
							<s:param name="idCompteActual" value="%{compte.idCompte}"/>									
						</s:url>											    
			    	<s:a href="%{url2}"><s:property value="%{getText('form.eliminar')}"/></s:a>			    
			    	</td>		    	
			 	</tr>
		</s:iterator>
		</s:if>
		<s:else>
			<tr>
				<td colspan="4">
					<s:property value="%{getText('previsio.nohiha.etiqueta')}"/>
				</td>			
			</tr>
		</s:else>
		<tr>
			<s:form method="post" action="AfegirPrevisioCompte" theme="simple">	
				
			<td >				
				<s:textfield name="descripcioActual" id="previsioActual.descripcio" key="rebut.descripcio.etiqueta" size= "30" value="%{previsioActual.descripcio}" cssClass="input" />
			</td>
			<td >
				<s:textfield name="valorActual" id="valorActual" key="rebut.import.etiqueta" size="10" value="%{previsioActual.valor}"   cssClass="input" />
				<s:hidden name="idCompteActual" id= "idCompteActual" value="%{previsioActual.compte.idCompte}"/>
					
				
								
			</td>
			<td colspan="2" align="right" >				
			
				<s:submit  value="%{getText('rebut.anotar.previsio.etiqueta')}"/>
			
								
			</td>
			</s:form>
		</tr>
	</table>	
	
</body>
</html>
