package uoc.tfc.xmartimo.util;


import java.util.ArrayList;
import java.util.List;
import java.util.StringTokenizer;
/**
 * Classe d'utilitats generals de COMPTAXM
 * @author Xavier Mart Moret UOC.TFC.J2EE
 *
 */
public class utilitats {

	/**
	 * Obt els dies d'un mes i d'un any
	 * @param mes mes a cercar
	 * @param anyo any a cercar
	 * @return llista de enters
	 */
	public static List<Integer> obtenirDies(int mes, int anyo){
		int dies; 
		List<Integer> listdies =new ArrayList<Integer>();
		switch  (mes){
	        case 1: case 3: case 5:
	        case 7: case 8: case 10:
	        case 12:
	            dies = 31;
	            break;
	        case 4: case 6:
	        case 9: case 11:
	            dies = 30;
	            break;
	        case 2:
	            if (((anyo % 4 == 0) && 
	                 !(anyo % 100 == 0))
	                 || (anyo % 400 == 0))
	                dies = 29;
	            else
	                dies = 28;
	            break;
	        default: dies=0;	           
	            break;
    };
    	for(int i =1; i<=dies;i++){
    		listdies.add(new Integer(i));    		
    	}
    
       return listdies;
	}
	/**
	 * Comprova si un string es un Double
	 * @param valor String a comprovar 
	 * @return CERT si es un Double, FALS en ca contrari
	 */
	public static boolean  isDouble(String valor){
		try {
			StringTokenizer token = new StringTokenizer(valor,".");
			if(token.hasMoreTokens()){
				if (Double.valueOf(token.nextToken()).doubleValue()>9999999999.0){
					return false;
				}				
			}
			
			Double.parseDouble(valor);
	        return true;
	       	} catch (NumberFormatException e) {
	            return false;
	        }		
	}
}
