<!-- Gestio Comptes.index -->
<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<html>
<head>
	<style type="text/css">@import url(css/estils.css);</style>
	<title>ComptaXM </title>
</head> 
<body>
		
		<s:form method="post" action="ObtenirComptes" theme="simple"> 
			<table id="taula_info">
			
			<tr>
			<td> <s:property value="%{getText('compte.filtre.codi')}" />: </td>
			<td>		
				<s:textfield name="idFiltreCodi" 
							id="idFiltreCodi" 							 							 										 
							value="%{idFiltreCodi}"
							cssClass="input" 							
							/>			
		
			</td>
			<td> <s:property value="%{getText('compte.filtre.descripcio')}" />: </td>
			<td>		
				<s:textfield name="idFiltreDescripcio" 
							id="idFiltreDescripcio" 							
							value="%{idFiltreDescripcio}"
							cssClass="input" 							
							/>			
			</td>			
			<td><s:submit  value="  %{getText('compte.filtrar.boto')}  " tabindex="13"/></td>
			</tr>
			
			</table>	
	
	
		</s:form>
	
	<s:if test="errorsComptaXM.size()>0">
			<div id="missatge_error">							
				<s:iterator value="errorsComptaXM">
					<ul><s:property /></ul>				
				</s:iterator>				
			</div>	
	</s:if>
	
	<s:if test="actionMessages.size()>0">
		
		<div id="missatge_informacio">					
			<ul><s:actionmessage/></ul>				
		</div>
		
	</s:if> 	
	 
	<table id="taula" cellpadding="2" cellspacing="2">
		<tr>			
			<th><b><s:property value="%{getText('compte.codi.etiqueta')}"/></b></th>
			<th><b><s:property value="%{getText('compte.descripcio.etiqueta')}"/></b></th>
			<th><b><s:property value="%{getText('compte.estat.etiqueta')}"/></b></th>
			<th colspan="2"><b><s:property value="%{getText('compte.accio.etiqueta')}"/></b></th>
			</tr>
		<s:if test="comptes.size()>0">	
			<s:iterator value="comptes"  status="linea">			
				<s:if test="#linea.odd"><tr class="linea1"></s:if>
				<s:if test="#linea.even"><tr class="linea2"></s:if>			
			    	<td><s:property value="codi"/></td>
			    	<td align="left" ><s:property value="descripcio"/></td>
			    	
			    	<td>
			   			<s:if test="%{estat==1}">
			   				<s:property value="%{getText('compte.actiu.etiqueta')}"/>
			   			</s:if>
			   			<s:else>
			   				<s:property value="%{getText('compte.baixa.etiqueta')}"/>
			   			</s:else>
			   		</td>
			    	<td>			   				
				   		<s:if test="%{estat==1}">
				   			<s:url id="url" action="BaixaCompte">
							<s:param name="idCompteActual" value="%{idCompte}"/>																																											
							</s:url>					    	
				    		<s:a href="%{url}"><s:property value="%{getText('label.baixa.accio')}"/></s:a>
				    	</s:if>
				    	<s:else>
				    		<s:url id="url" action="AltaCompte">
								<s:param name="idCompteActual"><s:property value="%{idCompte}"/></s:param>							
							</s:url>					    	
				    		<s:a href="%{url}"><s:property value="%{getText('label.alta.accio')}"/></s:a>
				    	</s:else>			    			
			    		</td>			    	
			    	<td>			    				    	
			    		 <s:url id="url" action="ModificarCompte">
							<s:param name="idCompteActual"><s:property value="%{idCompte}"/></s:param>
							<s:param name="tipusOperacio" value="1"/>							
						</s:url>					    	
			    		<s:a href="%{url}"><s:property value="%{getText('compte.modificar.etiqueta')}"/></s:a>			    
			    	</td>			    				    			    			    			    			   
			 	</tr>			 	
			</s:iterator>		
		</s:if>
		<s:else>
			<tr><td colspan="5"><b><s:property value="%{getText('compte.filtre.avis')}"/></b></td></tr>
		</s:else>
		</table>
		
</body>
</html>