<!-- Gestio proveidors.index -->
<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>

<html>
<head>
	<style type="text/css">@import url(css/estils.css);</style>
	<title>ComptaXM </title>
</head> 
<body>
		
		<s:form method="post" action="ObtenirProveidors" theme="simple"> 
			<table id="taula_info">
			
			<tr>
			<td> <s:property value="%{getText('proveidor.filtre.nom')}" />: </td>
			<td>		
				<s:textfield name="idFiltreNom" 
							id="idFiltreNom" 							 							 										 
							value="%{idFiltreNom}"
							cssClass="input" 
							tabIndex="1"							
							/>			
		
			</td>
			
			<td> <s:property value="%{getText('proveidor.filtre.centre')}" />: </td>
			<td>		
				<s:select name="idCentreActual" 
							id="idCentreActual" 
							list="centresUsuari" 
							listKey="idPersona" 							
							headerKey="-1" 
							headerValue="-"
							value="idCentreActual"
							cssClass="input"
							tabIndex="3" 							
							/>				
			</td>
						
			<td><s:submit  value="  %{getText('proveidor.filtrar.boto')}  " tabindex="4"/></td>
			</tr>
			
			</table>	
	
	
		</s:form>
	
	<s:if test="errorsComptaXM.size()>0">
			<div id="missatge_error">							
				<s:iterator value="errorsComptaXM">
					<ul><s:property /></ul>				
				</s:iterator>				
			</div>	
	</s:if>
	
	<s:if test="actionMessages.size()>0">
		
		<div id="missatge_informacio">					
			<ul><s:actionmessage/></ul>				
		</div>
		
	</s:if> 	
	 
	<table id="taula" cellpadding="2" cellspacing="2">
		<tr>			
			<th><b><s:property value="%{getText('proveidor.doc.etiqueta')}"/></b></th>
			<th><b><s:property value="%{getText('proveidor.nom.etiqueta')}"/></b></th>
			<th><b><s:property value="%{getText('proveidor.centre.etiqueta')}"/></b></th>
			<th><b><s:property value="%{getText('proveidor.estat.etiqueta')}"/></b></th>
			<th colspan="2"><b><s:property value="%{getText('proveidor.accio.etiqueta')}"/></b></th>
			</tr>
		<s:if test="proveidors.size()>0">	
			<s:iterator value="proveidors"  status="linea">			
				<s:if test="#linea.odd"><tr class="linea1"></s:if>
				<s:if test="#linea.even"><tr class="linea2"></s:if>			
			    	<td><s:property value="document"/></td>
			    	<td align="left" ><s:property value="cognom1"/> <s:property value="cognom2"/>, <s:property value="nom"/></td>
			    	<td align="left" ><s:property value="centre.nom"/></td>
			    	<td>
			   			<s:if test="%{estat==1}">
			   				<s:property value="%{getText('proveidor.actiu.etiqueta')}"/>
			   			</s:if>
			   			<s:else>
			   				<s:property value="%{getText('proveidor.baixa.etiqueta')}"/>
			   			</s:else>
			   		</td>
			    	<td>			   				
				   		<s:if test="%{estat==1}">
				   			<s:url id="url" action="BaixaProveidor">
							<s:param name="idProveidorActual" value="%{idProveidor}"/>																																											
							</s:url>					    	
				    		<s:a href="%{url}"><s:property value="%{getText('label.baixa.accio')}"/></s:a>
				    	</s:if>
				    	<s:else>
				    		<s:url id="url" action="AltaProveidor">
								<s:param name="idProveidorActual"><s:property value="%{idProveidor}"/></s:param>							
							</s:url>					    	
				    		<s:a href="%{url}"><s:property value="%{getText('label.alta.accio')}"/></s:a>
				    	</s:else>			    			
			    		</td>			    	
			    	<td>			    				    	
			    		 <s:url id="url" action="ModificarProveidor">
							<s:param name="idProveidorActual"><s:property value="%{idProveidor}"/></s:param>
							<s:param name="tipusOperacio" value="1"/>							
						</s:url>					    	
			    		<s:a href="%{url}"><s:property value="%{getText('proveidor.modificar.etiqueta')}"/></s:a>			    
			    	</td>			    				    			    			    			    			   
			 	</tr>			 	
			</s:iterator>		
		</s:if>
		<s:else>
			<tr><td colspan="6"><b><s:property value="%{getText('proveidor.filtre.avis')}"/></b></td></tr>
		</s:else>
		</table>
		
</body>
</html>