package uoc.tfc.xmartimo.bean.rebut;

import uoc.tfc.xmartimo.bean.manteniment.Compte;
import uoc.tfc.xmartimo.bean.manteniment.PeriodeComptable;
/**
 * Subclasse que representa a la previsi, hereda de la superclasse Rebut
 * @author Xavier Mart Moret UOC.TFC.J2EE
 *
 */
public class Previsio extends Rebut{

	private static final long serialVersionUID = 1L;

	/**
	 * Constructor per defecte
	 */
	public Previsio() {
		super();
	}
	/**
	 * Constructor amb tots els parmetres
	 * @param descripcio	Descripci del rebut
	 * @param periodeComptable	Perode comptable del rebut
	 * @param valor	import del rebut
	 * @param compte	compte del rebut
	 */
	public Previsio(String descripcio,
			PeriodeComptable periodeComptable, double valor, Compte compte) {
		
		super(descripcio, periodeComptable, valor, compte);	
	}
	
}
